/*
 * Copyright (c) 2007, 2009, Oracle and its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/*
 * $Id: TestImplBaseBase.java 52492 2007-01-24 00:59:57Z adf $
 */

package com.sun.ts.tests.jaxws.ee.j2w.document.literal.webmethod.server;

import javax.jws.WebService;
import javax.jws.WebMethod;

@WebService
public class TestImplBaseBase {

    // This is also a WebMethod since declaring class
    // has WebService
    public String method1(String str) {
        return str;
    }

    // This is also a WebMethod since declaring class
    // has WebService
    @Override
    public String toString() {
        return "TestImplBaseBase";
    }
}
